Bug 970014 - (CVE-2013-1968) CVE-2013-1968 subversion (FSFS format): Filenames with newline character can lead to revision corruption
CVE-2013-1968 subversion (FSFS format): Filenames with newline character can ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130531,reported=2...
: Security
Depends On: 970042 1064216 1064218 1064221 1064222
Blocks: 970062 1062046
  Show dependency treegraph
 
Reported: 2013-06-03 06:24 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:43 EST (History)
3 users (show)

See Also:
Fixed In Version: Subversion 1.6.23, Subversion 1.7.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-21 05:13:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-06-03 06:24:17 EDT
A security flaw was found in the way FSFS repository format functionality of Subversion, a concurrent version control system, processed filenames containing newline (ASCII 0x0a) character sequence. Remote attacker (via malicious client) could commit a revision for the FSFS repository, containing specially-crafted content that in subsequent requests could lead to disruption of the service of that repository for other users.

References:
[1] http://subversion.apache.org/security/CVE-2013-1968-advisory.txt

Announcements:
[2] http://mail-archives.apache.org/mod_mbox/subversion-dev/201305.mbox/%3CCADkdwvTxsMFeHgc8bK2V-2PrSrKoBffTi8+xbHA5tocrrewWew@mail.gmail.com%3E
    (1.6.23)
[3] http://mail-archives.apache.org/mod_mbox/subversion-dev/201305.mbox/%3CCADkdwvRK51pQsybfvsAzjxQJrmVpL0fEa1K4WGkUP9Tzz6KFDw@mail.gmail.com%3E
    (1.7.10)
Comment 1 Jan Lieskovsky 2013-06-03 06:28:30 EDT
This issue affects the versions of the subversion package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the subversion package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-06-03 07:20:57 EDT
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 970042]
Comment 3 Jan Lieskovsky 2013-06-03 07:49:47 EDT
Upstream ticket:
  http://subversion.tigris.org/issues/show_bug.cgi?id=4340
Comment 4 Huzaifa S. Sidhpurwala 2013-06-18 00:11:10 EDT
Statement:

This issue affects the version of subversion as shipped with Red Hat Enterprise Linux 5 and 6. The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.
Comment 5 Fedora Update System 2013-08-14 22:33:12 EDT
subversion-1.7.11-1.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Tomas Hoger 2014-10-21 05:13:13 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0255 https://rhn.redhat.com/errata/RHSA-2014-0255.html

Note You need to log in before you can comment on or make changes to this bug.